package com.iamberry.exception;
/**
 * service层的异常封装
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2017年3月9日
 */
public class ServiceException extends Throwable {

	private static final long serialVersionUID = 2837525369786552232L;

	/**
	 * 异常代码:内部标识
	 */
	private Integer errorCode;
	
	/**
	 * 异常描述
	 */
	private String errorMsg;

	public ServiceException(Integer errorCode, String errorMsg) {
		super();
		this.errorCode = errorCode;
		this.errorMsg = errorMsg;
	}

	public Integer getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(Integer errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
}
